BatchGetExecutions
curl --request POST \
--url https://developer.synq.io/api/executions/v2/by-id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"executionIds": [
"<string>"
]
}
'import requests
url = "https://developer.synq.io/api/executions/v2/by-id"
payload = { "executionIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({executionIds: ['<string>']})
};
fetch('https://developer.synq.io/api/executions/v2/by-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"executions": {}
}synq.entities.executions.v2.EntityExecutionsService
BatchGetExecutions
BatchGetExecutions retrieves multiple executions by their IDs. This is useful when you already know the execution IDs and want to fetch their details.
POST
/
api
/
executions
/
v2
/
by-id
BatchGetExecutions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
BatchGetExecutionsRequest requests specific executions by ID.
Execution IDs to retrieve.
Required array length:
1 - 100 elementsResponse
200 - application/json
Success
BatchGetExecutionsResponse contains the requested executions.
Map of execution ID to EntityExecution. Only includes executions that were found and accessible.
Show child attributes
Show child attributes
⌘I